<template>
  <vxe-table :data="tableData" :height="450" border>
    <vxe-column type="seq" width="70"></vxe-column>
    <vxe-column field="NodeName" title="节点"></vxe-column>
    <vxe-column field="Sta" title="状态"></vxe-column>
    <vxe-column field="Rec" title="抄送人"></vxe-column>
    <vxe-column field="Title" title="标题"></vxe-column>
    <vxe-column field="RDT" title="日期"></vxe-column>
  </vxe-table>
</template>

<script lang="ts" setup>
import { ref } from 'vue'
import { defHttp } from '/@/utils/http/axios';
const apiUrl = '/workflow/ccList';

interface RowVO {
  NodeName: string,
  Sta: string,
  Rec: string,
  Title: string,
  RDT:Date
}

const tableData = ref<RowVO[]>([])

async function setList() {
  const res = await defHttp.get({ url: apiUrl});
  if(res.code==200) {
    tableData.value = JSON.parse(res.data);
  }
}

setList()
</script>
